{
  "name": "frontend",
  "version": "0.99.1",
  "private": true,
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "preview": "vite preview",
    "test": "vitest",
    "coverage": "vitest run --coverage",
    "test:unit": "vitest --environment jsdom --root src/",
    "test:e2e": "start-server-and-test preview :4173 'cypress run --e2e'",
    "test:e2e:dev": "start-server-and-test 'vite dev --port 4173' :4173 'cypress open --e2e'",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs --fix --ignore-path .gitignore"
  },
  "dependencies": {
    "autoprefixer": "^10.4.13",
    "axios": "^1.2.2",
    "chart.js": "^4.3.0",
    "chartjs-adapter-date-fns": "^3.0.0",
    "chartjs-plugin-datalabels": "^2.2.0",
    "chartjs-plugin-dragdata": "^1.1.3",
    "cytoscape": "^3.23.0",
    "cytoscape-dagre": "^2.5.0",
    "cytoscape-popper": "^2.0.0",
    "date-fns": "^2.30.0",
    "decimal.js": "^10.4.3",
    "infinite-scroll": "^4.0.1",
    "javascript-color-gradient": "^2.4.4",
    "mitt": "^3.0.0",
    "moment": "^2.29.4",
    "pinia": "^2.0.28",
    "postcss": "^8.4.20",
    "primeicons": "^6.0.1",
    "primevue": "^3.23.0",
    "tailwindcss": "^3.2.4",
    "tippy.js": "^6.3.7",
    "vue": "^3.2.45",
    "vue-axios": "^3.5.2",
    "vue-chartjs": "^5.2.0",
    "vue-router": "^4.1.6",
    "vue-sweetalert2": "^5.0.5",
    "vue-toast-notification": "^3.0.4",
    "vuedraggable": "^4.1.0"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.1.4",
    "@vitejs/plugin-vue": "^4.0.0",
    "@vue/eslint-config-prettier": "^7.0.0",
    "@vue/test-utils": "^2.2.6",
    "autoprefixer": "^10.4.13",
    "cypress": "^4.2.0",
    "cypress-xpath": "^2.0.1",
    "eslint": "^8.22.0",
    "eslint-plugin-cypress": "^2.12.1",
    "eslint-plugin-vue": "^9.3.0",
    "html-webpack-plugin": "^5.5.0",
    "jsdom": "^20.0.3",
    "postcss": "^8.4.20",
    "prettier": "^2.7.1",
    "sass": "^1.57.1",
    "start-server-and-test": "^1.15.2",
    "tailwindcss": "^3.2.4",
    "vite": "^4.0.0",
    "vitest": "^0.25.6"
  }
}
